(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "assert", "../htmlLanguageService", "vscode-languageserver-types"], factory);
    }
})(function (require, exports) {
    /*---------------------------------------------------------------------------------------------
     *  Copyright (c) Microsoft Corporation. All rights reserved.
     *  Licensed under the MIT License. See License.txt in the project root for license information.
     *--------------------------------------------------------------------------------------------*/
    'use strict';
    var assert = require("assert");
    var htmlLanguageService = require("../htmlLanguageService");
    var vscode_languageserver_types_1 = require("vscode-languageserver-types");
    suite('HTML Symbols', function () {
        var TEST_URI = "test://test/test.html";
        function asPromise(result) {
            return Promise.resolve(result);
        }
        var assertSymbols = function (symbols, expected) {
            assert.deepEqual(symbols, expected);
        };
        var testSymbolsFor = function (value, expected) {
            var ls = htmlLanguageService.getLanguageService();
            var document = vscode_languageserver_types_1.TextDocument.create(TEST_URI, 'html', 0, value);
            var htmlDoc = ls.parseHTMLDocument(document);
            var symbols = ls.findDocumentSymbols(document, htmlDoc);
            assertSymbols(symbols, expected);
        };
        test('Simple', function () {
            testSymbolsFor('<div></div>', [{ containerName: '', name: 'div', kind: vscode_languageserver_types_1.SymbolKind.Field, location: vscode_languageserver_types_1.Location.create(TEST_URI, vscode_languageserver_types_1.Range.create(0, 0, 0, 11)) }]);
            testSymbolsFor('<div><input checked id="test" class="checkbox"></div>', [{ containerName: '', name: 'div', kind: vscode_languageserver_types_1.SymbolKind.Field, location: vscode_languageserver_types_1.Location.create(TEST_URI, vscode_languageserver_types_1.Range.create(0, 0, 0, 53)) },
                { containerName: 'div', name: 'input#test.checkbox', kind: vscode_languageserver_types_1.SymbolKind.Field, location: vscode_languageserver_types_1.Location.create(TEST_URI, vscode_languageserver_types_1.Range.create(0, 5, 0, 47)) }]);
        });
    });
});
//# sourceMappingURL=symbols.test.js.map